Subject: bug#21969: VC opens new window to display minimal messages

From: Dmitry Gutov <[email-masked]>
Date: Sun, 22 Nov 2015 18:45:17 +0200

On 11/22/2015 06:08 PM, Eli Zaretskii wrote:

> Why not always show the output in a window, and remove the code that
> shows it in the echo area?

Because showing it in a buffer disturbs the window configuration, and 
you have to press `q' to quit it. Seems reasonable to want to avoid that 
when there's nothing to show.